package com.docus.server.archive.mapper;


import com.docus.server.archive.entity.PowerDept;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PowerDeptMapper {


    List<PowerDept> list();

    List<PowerDept> findByDeptCodes(@Param("deptCodes") List<String> deptCodes);

    int insertBatch(@Param("deptList") List<PowerDept> deptList);

    int updateBatch(@Param("deptList")List<PowerDept> powerDept);
}
